package de.intevation.gnv.math;

import org.apache.commons.math.analysis.UnivariateRealFunction;

/**
 * @author Sascha L. Teichmann <sascha.teichmann@intevation.de>
 */
public class ConstantFunction
implements   UnivariateRealFunction
{
    protected double value;
    
    public ConstantFunction() {
    }

    public ConstantFunction(double value) {
        this.value = value;
    }

    public double value(double x) {
        return value;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
